Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

Webprogrammeren & scripting

phpBB 2.0.2 released

Anoniem
None
8 antwoorden
  • hallo,

    Ik zag op het internet een artikel dat phpBB 2.0.2 is released… het is voornamelijk een soort van "patch" op versie 2.0.0/ 2.0.1

    [quote:4ae249e7af][b:4ae249e7af]Changes since 2.0.1[/b:4ae249e7af]

    Fixed missing "username" lang variable in user admin template

    Session work around for users behind rotating IPs - vHiker

    Fixed potential session user_id re-write - Ashe

    Fixed potential cross-browser scripting issue with BBCode URLs

    Fixed potential gallery avatar exploit - Ashe

    Fix sorting of smileys on each function call - Ashe/psoTFX

    Clear topic_mod text output in viewtopic - Lars

    Fix regex for avatar remote urls

    Fix non-updating of user post counts when deleting whole topics

    Increase time limit when sending topic reply notifications

    Set default forum when splitting topics

    Fix non-deletion of uploaded avatars when switching to gallery

    Removed various closing newlines from included files

    Add MAX_ROWS to HEAP table alter in install/upgrade - Ashe

    Update username maxlength for subSilver templates

    Allow ( and ) in BBCode "> tags

    Fix non-quoting of # in username validation regexs

    Fix overlooked global var in private messaging

    Possible fix for email templates issues

    Fix missing str_replace for category title forum admin SQL

    Fix trailing , when sending emails via smtp

    Fix avatar issues in user admin

    Fix improper checking of email address ban in sessions

    Fix use of hard coded language strings in forum admin

    Fix missing closing ) in smilies admin

    Fix missing Username label in user admin

    Fix upgrade.php bug where conversion would not complete (and updated other scripts to match the changes)

    Fix problem with redirect and login.php

    Fix typo that could cause problems with sorting in the memberlist

    Fix emailer to allow sending emails with language-specific character sets
    [/quote:4ae249e7af]

    Heeft iemand hem al geprobeerd... ik hoor graag ervaringen of het de moeite waard is om over te stappen :)
  • [quote:8075a73fff="kajutsa"]ik hoor graag ervaringen of het de moeite waard is om over te stappen :)[/quote:8075a73fff]Als je bekijkt hoeveel fixes er gedaan zijn, lijkt het mij bijna wel verplicht om de boel even te upgraden…
  • misschien ook een leuk idee voor de melvyn hier :)
  • Kep m al upgegrade, ik heb nog geen verschillen gemerkt. Maar ik had ook nooit problemen met de vorige versie, dus…

    Het upgraden ging in ieder geval goed, dat was in vorige phpBB versies wel eens anders

    gr
    Rory
  • Ik denk dat ik het upgraden maar even achterwegen laat… ivm met mijn portal. Daar heb ik de bestanden zitten rotzooien en als hij dan alles gaat overschrijven dan ben ik de klos :)

    Ik wacht wel op een totaal nieuwe versie, namelijk phpBB 2.2x :wink:
  • Ik heb nu ook phpBB2.0.1 draaien met ongeveer 15 mod geinstalleerd.
    Kan ik daar (veel) problemen mee verwachten met upgraden?
  • Als hij bestanden gaat overschrijven waar jij jouw MODS in geïnstalleerd hebt, dan denk ik dat ze verloren kunnen gaan :( Moet maar zelf dus ff alles nachecken…
  • Heb net dit gevonden:

    [size=9:a45c9b9f10]7.i. Full package
    If you have downloaded the full package you should follow the same general upgrade path as for "Upgrade from previous Release Candidate versions of phpBB 2". The exception to this being the need to switch or update styles.

    7.ii. Changed files only
    This package contains only those files which have been modified since the 2.0.1 release. If you are trying to upgrade from 2.0.0, it is required that you either use the full download or upgrade to phpBB 2.0.1 first. The directory structure has been preserved enabling you (if you wish) to simply upload the contents of the archive to the appropriate location on your server, i.e. simply overwrite the existing files with the new versions. Do not forget that if you have installed any Mods these files will overwrite the originals possibly destroying them in the process. You will need to re-add Mods to any affected file before uploading.

    7.iii. Patch file
    The patch file is probably the best solution for those with many Mods or other changes who do not want to re-add them back to all the changed files. To use this you will need command line access to a standard UNIX type patch application. You should place the unarchived phpBB-2.0.2-update.patch in the parent directory containing all the phpBB 2 files (not the directory containing the folder where phpBB 2 files are located). With this done you should run the following command: patch -p0 < phpBB-2.0.2-update.patch This should complete quickly, hopefully without any HUNK FAILED comments.

    The phpBB-2.0.2-update.patch will not work when upgrading from phpBB 2.0.0. The patch for phpBB 2.0.0 to phpBB 2.0.1 has been included to allow upgrades from phpBB 2.0.0 to phpBB 2.0.2 (you must apply both patches). Please run patch -p0 < phpBB-2.0.1-update.patch before running the patch to phpBB 2.0.2.

    If you do get failures you should look at using the Changed files only package to replace the files which failed to patch, please note that you will need to manually re-add any Mods to these particular files. Alternatively if you know how you can examine the .rej files to determine what failed where and make manual adjustments to the relevant source.

    You may of course delete the patch file after it has been applied.

    [/size:a45c9b9f10]

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.